/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.jmx.examples.persistence;

/**
 * MBean interface.
 */
public interface PersistentServiceExampleMBean extends org.jboss.system.ServiceMBean
{

   java.math.BigDecimal getSomeBigDecimal();

   void setSomeBigDecimal(java.math.BigDecimal someBigDecimal);

   boolean isSomeBoolean();

   void setSomeBoolean(boolean someBoolean);

   org.w3c.dom.Element getSomeElement();

   void setSomeElement(org.w3c.dom.Element someElement);

   java.io.FileDescriptor getSomeFileDescriptor();

   void setSomeFileDescriptor(java.io.FileDescriptor someFileDescriptor);

   int getSomeInt();

   void setSomeInt(int someInt);

   java.lang.Integer getSomeInteger();

   void setSomeInteger(java.lang.Integer someInteger);

   java.lang.String getSomeString();

   void setSomeString(java.lang.String someString);

   java.sql.Timestamp getSomeTimestamp();

   void setSomeTimestamp(java.sql.Timestamp someTimestamp);

   java.lang.Object getSomeNullObject();

   void setSomeNullObject(java.lang.Object someNullObject);

   java.util.ArrayList getSomeArrayList();

   void setSomeArrayList(java.util.ArrayList someArrayList);

}
